Subject: Repost of delayed mail

From: [email-masked] (Paul Brittain)
Date: Fri, 23 Sep 94 10:12:53 BST

***  This note has not had much luck getting through the AIW mailing list
***  problems.  I have just received the suggestion of trying to send it
***  via MIT, so I'll give it one more go.
*** 
***  Paul

Steve,

A response to your recent queries.  Sorry about the delay, but I was unable
to access 'networking' last week using either the Cary or Raleigh name.

Paul Brittain.

  1) Explorer FSM - It looks like the group consensus on this issue is
     that the explorer FSM should be a separate FSM from the circuit
     FSM (if anyone thinks otherwise, let me know).  In my latest note
     I went so far as to say that maybe there should be a NETBIOS
     explorer FSM and a SNA FSM.  Please comment on this idea.

PJB> Sounds good.  I will post a revised set of FSMs later today.
***
***  Peter Gayek kindly forwarded these updates to the connect mailer
***  yesterday.
***

  2) Comments on my wording for retry absorption and propagation.
     I also want to know if an XID FSM describing the handling of XID
     commands and responses is deemed necessary.

PJB> Your retry absorption wording looks fine.  I am less sure about the XID
PJB> FSM because the DLSw implementation may not have this level of control
PJB> over XID xmd/rsp if it creates an LLC2 link station to handle the XIDs.
PJB> While it is true that the LS would probably follow similar logic, it seems
PJB> to be slightly beyond the scope of the DLSw FSM.

  3) Comments on Gene Cox's proposed working for recognizing NETBIOS
     retries.

PJB> Also seems fine, and it should immediately follow your more general retry
PJB> text in the document.

  4) Final comments on the discussion related to Paul Brittain's
     "Issues in latest spec (NetBIOS etc)".

PJB> Nothing to add - the explorer FSM and assocuated text addresses my
PJB> concerns.

  5) Comments on the FSM changes I proposed in my "Comments on DLSW
     State Machine section of dlsw012" note.

PJB> See separate posting.

PJB> I also liked your summary table and have posted some suggestions on your
PJB> '?' fields below.  Apart from the '?' fields, the only change I would
PJB> suggest is splitting CUR/ICR_ex from CUR/ICR_cs.  I believe only the
PJB> LF bits and SSP flags should flow on CUR/ICR_ex frames.

+-------------------------+---------+---------+-------+----------+
|          (14)           |  (15)   |  (20)   | (21)  |   (22)   |
|         Message         |  Flow   | Largest |  SSP  | Circuit  |
|          Type           | Control |  Frame  | Flags | Priority |
|                         |  Byte   |  Size   |       |          |
+-------------------------+---------+---------+-------+----------+
| 0x03 - CANUREACH_ex     |         |    X    |   X   |          |
| 0x04 - ICANREACH_ex     |         |    X    |   X   |          |
| 0x03 - CANUREACH_cs     |    X    |    X    |   X   |    X     |
| 0x04 - ICANREACH_cs     |    X    |    X    |   X   |    X     |
| 0x05 - REACH_ACK        |    X    |         |       |    X     |
| 0x06 - DGRMFRAME        |    X    |         |       |          |
| 0x07 - XIDFRAME         |    X    |         |       |          |
| 0x08 - CONTACT          |    X    |         |       |          |
| 0x09 - CONTACTED        |    X    |         |       |          |
| 0x0A - INFOFRAME        |    X    |         |       |          |
| 0x0E - HALT_DL          |         |         |       |          |
| 0x0F - DL_HALTED        |         |         |       |          |
| 0x10 - RESTART_DL       |    X    |         |       |          |
| 0x11 - DL_RESTARTED     |    X    |         |       |          |
PJB> Flow control should be allowed on RESTART_DL/DL_RESTARTED frames as it
PJB> seems likely that the flow control state will also need to be reset at
PJB> this point.
| 0x12 - NETBIOS_NQ       |         |    X    |   X   |          |
| 0x13 - NETBIOS_NR       |         |    X    |   X   |          |
| 0x14 - DATAFRAME        |         |         |       |          |
PJB> I believe Flow control is not allowed on DATAFRAME messages as such frames
PJB> are not associated with a specific circuit.
| 0x19 - HALT_DL_NOACK    |         |         |       |          |
| 0x1A - NETBIOS_ANQ      |         |         |       |          |
| 0x1B - NETBIOS_ANR      |         |         |       |          |
| 0x20 - CAP_EXCHANGE     |         |         |       |          |
| 0x21 - IFCM             |    X    |         |       |          |
| 0x7A - TEST_CIRCUIT_REQ |         |         |       |          |
| 0x7B - TEST_CIRCUIT_RSP |         |         |       |          |
+-------------------------+---------+---------+-------+----------+